import mvhd from '../mvhd'

describe('mvhd box', () => {
  it('should get the mvhd box tree', () => {
    // prettier-ignore
    const mvhdBody = new Uint8Array([
      0x00, 0x00, 0x00, 0x00,  // version + flags
      0x00, 0x00, 0x00, 0x00,  // creationTime
      0x00, 0x00, 0x00, 0x00,  // modificationTime
      0x00, 0x00, 0x03, 0xe8,  // timescale
      0x00, 0x00, 0x27, 0x38,  // duration
      0x00, 0x01, 0x00, 0x00,  // rate
      0x01,                    // volume
      0x00, 0x00, 0x00,        // reserved
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x01, 0x00, 0x00,  // matrix
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x01, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x40, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,  // preDefined
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x03,  // nextTrackID
    ])

    expect(mvhd(mvhdBody)).toEqual({
      flags: 0,
      version: 0,
      creationTime: 0,
      modificationTime: 0,
      timescale: 1000,
      duration: 10040,
      rate: 65536,
      volume: 1,
      matrix: [65536, 0, 0, 0, 65536, 0, 0, 0, 1073741824],
      nextTrackID: 3,
    })
  })
})
